var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import * as React from 'react';
import { StyleSheet, View } from 'react-native';
import useTheme from './useTheme';
export function getStyleSheetFromBoxProps(props, theme) {
    var alignItems = props.alignItems, alignSelf = props.alignSelf, flex = props.flex, flexDirection = props.flexDirection, height = props.height, justifyContent = props.justifyContent, width = props.width;
    var style = {};
    if (props.bg != undefined) {
        style.backgroundColor = theme.colors[props.bg] || props.bg;
    }
    if (props.border != undefined) {
        style = __assign({}, style, (typeof props.border === 'number'
            ? theme.borders[props.border]
            : props.border));
    }
    if (props.m != undefined) {
        style.margin = theme.space[props.m] || props.m;
    }
    if (props.mb != undefined) {
        style.marginBottom = theme.space[props.mb] || props.mb;
    }
    if (props.ml != undefined) {
        style.marginLeft = theme.space[props.ml] || props.ml;
    }
    if (props.mr != undefined) {
        style.marginRight = theme.space[props.mr] || props.mr;
    }
    if (props.mt != undefined) {
        style.marginTop = theme.space[props.mt] || props.mt;
    }
    if (props.mx != undefined) {
        style.marginHorizontal = theme.space[props.mx] || props.mx;
    }
    if (props.my != undefined) {
        style.marginVertical = theme.space[props.my] || props.my;
    }
    if (props.p != undefined) {
        style.padding = theme.space[props.p] || props.p;
    }
    if (props.pb != undefined) {
        style.paddingBottom = theme.space[props.pb] || props.pb;
    }
    if (props.pl != undefined) {
        style.paddingLeft = theme.space[props.pl] || props.pl;
    }
    if (props.pr != undefined) {
        style.paddingRight = theme.space[props.pr] || props.pr;
    }
    if (props.pt != undefined) {
        style.paddingTop = theme.space[props.pt] || props.pt;
    }
    if (props.px != undefined) {
        style.paddingHorizontal = theme.space[props.px] || props.px;
    }
    if (props.py != undefined) {
        style.paddingVertical = theme.space[props.py] || props.py;
    }
    if (props.shadow != undefined) {
        style = __assign({}, style, (typeof props.shadow === 'number'
            ? theme.shadows[props.shadow]
            : props.shadow));
    }
    return StyleSheet.create({
        box: __assign({}, style, { alignItems: alignItems,
            alignSelf: alignSelf,
            flex: flex,
            flexDirection: flexDirection,
            height: height,
            justifyContent: justifyContent,
            width: width }),
    });
}
var Box = function (_a) {
    var style = _a.style, props = __rest(_a, ["style"]);
    var theme = useTheme();
    return (React.createElement(View, __assign({ style: [getStyleSheetFromBoxProps(props, theme).box, style] }, props)));
};
export default Box;
