/// <reference types="react" />
import { TouchableHighlightProps, TouchableNativeFeedbackProps, TouchableOpacityProps, TouchableWithoutFeedbackProps } from 'react-native';
import { BoxProps } from './Box';
export declare enum Feedback {
    Opacity = "opacity",
    Highlight = "highlight",
    None = "none"
}
export interface TouchableProps extends BoxProps, TouchableHighlightProps, TouchableNativeFeedbackProps, TouchableOpacityProps, TouchableWithoutFeedbackProps {
    feedback?: Feedback;
    native?: boolean;
}
declare const Touchable: {
    ({ children, style, ...props }: TouchableProps): JSX.Element;
    defaultProps: {
        feedback: Feedback;
        native: boolean;
    };
};
export default Touchable;
