export interface Border {
    borderWidth?: number;
    borderColor?: string;
}
export interface Shadow {
    elevation?: number;
    shadowColor?: keyof typeof colors | string;
    shadowOffset?: {
        height: number;
        width: number;
    };
    shadowOpacity?: number;
    shadowRadius?: number;
}
export interface Theme {
    borders: Border[];
    colors: {
        [key: string]: string;
    };
    fonts: {
        [key: string]: string | null;
    };
    fontSizes: number[];
    letterSpacings: number[];
    lineHeights: number[];
    shadows: Shadow[];
    space: number[];
}
declare const colors: {
    amber: string;
    black: string;
    blue: string;
    blueGray: string;
    brown: string;
    cyan: string;
    deepOrange: string;
    deepPurple: string;
    gray: string;
    green: string;
    indigo: string;
    lightBlue: string;
    lightGreen: string;
    lime: string;
    orange: string;
    pink: string;
    purple: string;
    red: string;
    teal: string;
    white: string;
    yellow: string;
};
declare const theme: Theme;
export default theme;
